Entities/models to be defined:

Vehicle


ParkingLot
- should have multiple floors where customers can park their car
- Multiple parking spots on each floor, supporting diff types of vehicles




Customer


Display



--------------
Initial assumptions:
- All floors of a parking lot are identical (How to modify this ie make each floor customisable)
- Each floor has entry and exit points
